Fields
List Fields
Retrieve all fields for a table using either table ID or table name.
GET
/
bases
/
{databaseId}
/
tables
/
{tableId}
/
fields
List fields
curl --request GET \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fields": [
{
"id": "<string>",
"name": "<string>",
"template": {},
"order": 123
}
]
}Fields are returned in display order.
Each field includes its
id, name, type, order, and a template object with field-specific configuration. See the Field Types Reference for the template structure of each field type.Authorizations
Enter your Zite API key. Format: Bearer <api_key>
Path Parameters
The unique identifier of the database
The unique identifier of the table. You can also use the table name instead of the ID.
Response
List of fields
The fields in the table, in display order.
Show child attributes
Show child attributes
⌘I
List fields
